Delete wine-etersoft old ebuilds.

atratsevskiy
Трацевский Александр 15 years ago
parent 50682cc938
commit e78faa5131

@ -1,25 +0,0 @@
# ChangeLog for app-emulation/wine-etersoft-network
# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
*wine-etersoft-network-1.0.9_beta (25 Mar 2008)
25 Mar 2008; <johnrdoe63@cregion.ru> Changelog :
Bump version
08 Feb 2008; <johnrdoe63@cregion.ru> Changelog :
adding 1.0.8 ver
remove 1.0.6 and 1.0.7n deprecated
08 Aug 2007; <johnrdoe63@cregion.ru> Changelog :
stable 1.0.6 on x86
*wine-etersoft-network-1.0.7n (01 Aug 2007)
01 Aug 2007; JohnRDoe63 <johnrdoe63@cregion.ru> :
initial import
*wine-etersoft-network-1.0.6 (01 Aug 2007)
1 Aug 2007; JohnRDoe63 <johnrdoe63@cregion.ru> :
Initial import

@ -1,6 +0,0 @@
AUX eter_acl 3051 RMD160 c6126b0235dd726eb323913f28e52d2ba2ca43dc SHA1 1addbfedbff2e73f2a119739cd30fb1e78a92d28 SHA256 695d82548b38956c85d55f8ae77706167a5ae02f155efc233d1d5aa0482eda42
AUX etersafe.init-1.0.9 421 RMD160 b8dac2908e6eef8fda07de6adf872de21f1f9082 SHA1 09af33f03284d27e55b970fcbeeab74007380fbf SHA256 bfee163206117659b8d6967b1b101284991adcee5e43fc8beed39e2643453b23
DIST wine-etersoft-network-1.0.9-alt17.M40.18.i586.rpm 7429939 RMD160 6e9eeb0ad89590922e5d9dde3248b00d4b4ee95d SHA1 2744c0b9798011cf1bd9647e38fee4d5ff942188 SHA256 ec79eac73f6d0686fa3025f55637a80694726b89a9aea11d68991fc61c22ad05
EBUILD wine-etersoft-network-1.0.9.ebuild 1771 RMD160 a73a863cd252092450c988e684942b52487c21dc SHA1 38390d846de6b3058ef86094b792cccaaf846a3f SHA256 561690f65eea5dc379281eb7daa80a277ca486c18e2bb4b1ed1f8234051e89ad
MISC ChangeLog 661 RMD160 cfab9967d85eceace5880e7c4ee054e8c162266d SHA1 ad5decabb7864ce6c2e5fc0f18e2b0c056c5d8d8 SHA256 7b2bb584040c1ebfd2956039ef7eef000001cc11941c5e47acc5d4c3a7bc01ba
MISC metadata.xml 511 RMD160 089a13c2f734a7bc17fcb9da9dd795b4cdb45066 SHA1 6062b843e15ee327ecdcb83371cab4fffd663ed2 SHA256 914ac8d85aa8ceb5779f5d05983392628c7991dbae1dacb7ea2359cddeb166f6

@ -1,3 +0,0 @@
MD5 ec50c0b4e2b6d5ab59e0ef48e6c90ff4 wine-etersoft-network-1.0.8.tbz2 6655747
RMD160 52ed61d782abe4a98d46d89a8e7ce113613dbd62 wine-etersoft-network-1.0.8.tbz2 6655747
SHA256 0defcd004719dd69429e83a606df9754a94ddac37bd01a2955b2bb1ff29b2d1e wine-etersoft-network-1.0.8.tbz2 6655747

@ -1,134 +0,0 @@
#!/bin/bash
#
# eter_acl - The 1C 7.7 database check and set true file/dir permissions script, ver 0.1
#
# Copyright (C) 2007 Kazankov Alexsander <johnrdoe63ATcregionDOTru>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program or from the site that you downloaded it
# from; if not, write to the Free Software Foundation, Inc., 59 Temple
# Place, Suite 330, Boston, MA 02111-1307 USA
#
###########################################################################
VERSION="`basename $0` ver. 0.1"
USAGE="Usage: `basename $0` < option > <dir_name>"
OPTIONS="sVhg:"
retval=1
args=$#
sflag=
gflag=
if [ $# -eq 0 ]; then
echo $"${USAGE}" >&2
exit 2
fi
help()
{
echo $"${USAGE}" >&2
echo
echo "Options:"
echo " -h Show help message"
echo " -V Show version"
echo " -s Set true permissions"
echo " -g Name of group for 1C's users"
echo
exit 0
}
fatal ()
{
echo "Access denied!!! Switch to another user!"
exit
}
test_create()
{
echo "Testing to create file..."
TESTFILE=$WORK_DIR/winelock-test.001
touch $TESTFILE
if [ "`stat -c%a $TESTFILE`" != "660" ] ; then
echo "Bad a create permissions!!!"
echo "Perm of create file is: `stat -c%a $TESTFILE`"
else
echo "Looks like good ;-)"
fi
rm -f $TESTFILE
}
while getopts "${OPTIONS}" name
do
case $name in
s) sflag=1;;
g) gflag=1
NAME_GR=$OPTARG;;
V) echo $"${VERSION}" >&2
exit 0;;
h) help;;
?) echo $"${USAGE}" >&2
exit 2;;
*) echo $"${USAGE}" >&2
exit 1;;
esac
done
NAME_GR=${NAME_GR:-users}
WORK_DIR=${!args}
[ -d "${WORK_DIR}" ] || { echo "No working dir! Choose right working dir."; exit 1; }
. gettext.sh
TEXTDOMAIN=wine-etersoft
export TEXTDOMAIN
TEXTDOMAINDIR='/usr/share/locale'
export TEXTDOMAINDIR
echo "Finding incorrect files and dirs..."
find $WORK_DIR -maxdepth 10 \( ! -group $NAME_GR -o ! -perm 2770 \) -type d -print0 | xargs -n1 -0 --no-run-if-empty ls -d -l
find $WORK_DIR -maxdepth 10 \( ! -group $NAME_GR -o ! -perm 660 \) -type f -print0 | xargs -n1 -0 --no-run-if-empty ls -l
echo Umask: `umask`
if [ ! -z "$sflag" ]; then
echo "Setting right permissions..."
find $WORK_DIR -maxdepth 10 -type f -print0 | xargs -0 chgrp $NAME_GR || fatal $?
find $WORK_DIR -maxdepth 10 -type f -print0 | xargs -0 chmod 0660
find $WORK_DIR -maxdepth 10 -type d -print0 | xargs -0 chgrp $NAME_GR || fatal $?
find $WORK_DIR -maxdepth 10 -type d -print0 | xargs -0 chmod 02770
exit 0
fi
test_create
# EOF

@ -1,17 +0,0 @@
#!/sbin/runscript
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
start() {
ebegin "Starting etersafe keylock"
eval start-stop-daemon --start --quiet --pidfile /var/run/etersafe.pid --exec /usr/sbin/etersafed --
eend $?
}
stop() {
ebegin "Stopping etersafe keylock"
start-stop-daemon --stop --signal 2 --quiet --pidfile /var/run/etersafe.pid
eend $?
}

@ -1,14 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>wine-etersoft-network</herd>
<maintainer>
<email>johnrdoe63@cregion.ru</email>
<name>JohnRDoe63</name>
</maintainer>
<longdescription>
WINE@Etersoft Network is an commercial product of Etersoft ltd.
This package allows you to run many office winodws applications(1C, Konsultant, etc) within Network support in your *nix environment.
</longdescription>
</pkgmetadata>

@ -1,59 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
inherit rpm
#MY_P="wine-etersoft-network-${PV}"
MY_P="wine-etersoft-network-1.0.9"
DESCRIPTION="WINE@Etersoft Network, a addon for WINE@Etersoft with enhanced Network support for office application, as such as 1C:Predpryatie"
HOMEPAGE="http://www.etersoft.ru/"
SRC_URI="${MY_P}-alt17.M40.18.i586.rpm"
LICENSE="WINE@Etersoft-Network Corp.WINE@Etersoft-Network"
SLOT="0"
KEYWORDS="-* ~x86 ~amd64"
#IUSE="alsa arts cups dbus esd hal jack jpeg lcms ldap nas ncurses opengl oss scanner xml X"
RESTRICT="fetch strip"
RDEPEND=">=media-libs/freetype-2.0.0
!app-emulation/wine
!app-emulation/wine-etersoft-sql
!app-emulation/wine-etersoft-local
>=app-emulation/wine-etersoft-public-${PV}
>=dev-libs/openssl-0.9.8g
media-fonts/corefonts "
pkg_nofetch() {
einfo "Please download the appropriate WINE@Etersoft-Network archive (${MY_P}-alt17.M40.18.i586.rpm)"
einfo "from ${HOMEPAGE} (requires a Etersoft subscription)"
einfo
einfo "Then put the file in ${DISTDIR}"
}
src_unpack () {
echo "${DISTDIR}/${A}"
rpm_unpack "${DISTDIR}/${A}"
cp -p "${FILESDIR}"/eter_acl "${WORKDIR}"/usr/bin/
}
src_install() {
dodir /etc/init.d
dodir /etc/wine
cp "${FILESDIR}"/etersafe.init-1.0.9 "${D}"/etc/init.d/etersafed || die "cp usr"
cp -R "${WORKDIR}"/usr "${D}" || die "cp usr"
cp -R "${WORKDIR}"/etc/wine/* "${D}"/etc/wine/ || die "cp /etc/wine"
}
pkg_postinst() {
cd /usr/lib
ln -s libcrypto.so libcrypto.so.6
ln -s libssl.so libssl.so.6
einfo "Run /usr/bin/wine to start wine as any non-root user."
einfo "This will take care of creating an initial environment"
einfo " and do everything else."
einfo ""
}

@ -1,11 +0,0 @@
AUX lucon.ttf 115068 RMD160 123330b2a00006a75e19fae5632e2787f321b726 SHA1 17fff32bfd2d13b69aef879e77f974725559779e SHA256 6ddf64ee896d24cf9908f115ae220a7cfa18dc034bc4a68e4db68dcd57c71512
AUX vga866.fon 6128 RMD160 079e0ad766e904b80447d867804269208e66b6cd SHA1 89836c80ec84416b297189f38f8741ffa29ea5a4 SHA256 1d714e4fe2aefb9faaef0cd27d79aa1077983f46fcf202f9e8686c6e7f3b68fe
AUX vgafix.fon 5360 RMD160 00c3c7b4d59cff491fea48ca49d691d5ed5b0165 SHA1 76d18128bcfd1d24a17ccf11806d2242dc85b3a3 SHA256 57402d1e89dc0d8368cde612d720ab4a6a813bfe5e243e9da2775013e06f2b0f
AUX vgafixr.fon 5600 RMD160 d37491a210951b72cab4d9e413a55953822b66e8 SHA1 edf2c0b9915f3ad8cad50559341bafd51e8627ea SHA256 e06a71bfce25ffa6a93bcfa6f380484c88a992fc1282fb4f1f5a23fe6cc781d0
AUX vgaoem.fon 5168 RMD160 037908187960d5940b27510a19dc5c2e34edf82b SHA1 cf7252f08718a7c3b7e2012183222db6fdae83ac SHA256 011326f65e151d83c157ef6fdd23a2d851e8d0f2662d8409ea0b4a142e343a13
AUX vgasys.fon 7280 RMD160 ead4f8982f278bdd8b547df51a0ebd0a3ac23604 SHA1 293a0ed46897a6dc4d502e92a1dd40a7f1c6762f SHA256 7baefa14ef8ef2355374d0b5061043dd5f4f8c33ff57680366e4a725f91646f8
AUX vgasysr.fon 6912 RMD160 66edd76c2b5f37787a4efa2fd2a1cae45121f14a SHA1 9483decf1cdef2015cb29606c77531fa1ee7f625 SHA256 f90c3a12a0a1adacf59aefa20e7020478b3b38fef15bd4e1495a98750b3f57a3
AUX wine.init 599 RMD160 78307109d178d081a2619a80ed7d15e13bfcaaac SHA1 24f1acf506ddd2f160d0ae4ad090c81044687531 SHA256 8f322fa6b661d939bfcb420b8d0e8be155967f4bee4a7ee0089ed22d49627215
DIST wine-etersoft-public-1.0.9.tar.bz2 22975276 RMD160 97ea6f9a8cb43fe0a98466ed95a307b285b5e1cd SHA1 f8e3bf1147da39c208009d6be12bc9ce61543d06 SHA256 4b9e7c63b56ee7ad39f046ac1e151bd4bbb8c160dfc208ea5045207064ded815
EBUILD wine-etersoft-public-1.0.9.ebuild 3227 RMD160 092b2ac972665d33c196bada34474653a11549ec SHA1 f23dd1f63bc666db0470334e56dd7bfd6871a3cd SHA256 3949290619dabab0f3b6ab8d7d7e39fa3b6af90c6e0cad0f93c96053bdcbed52
MISC metadata.xml 987 RMD160 af15cb820c0efe61b44cc40e0f9f3648bbf8429b SHA1 2041e01fd362116a3d90db234e21833c6c93fecc SHA256 19599e075de06a6c2696fec9d1bc8225168ad03cdd61a858dd0a99f4a47e04c8

@ -1,31 +0,0 @@
#!/sbin/runscript
FS="binfmt_misc"
PROCBIN="/proc/sys/fs/${FS}"
checkconfig(){
grep -wq "^${FS} ${PROCBIN}" /proc/mounts || \
mount ${FS} -t ${FS} ${PROCBIN} || \
return 1
}
start(){
if ! checkconfig; then
eerror "Cannot load${FS}"
return 1
fi
ebegin "Starting wine"
echo -e ':windows:M::MZ::/usr/bin/wine:\n:windowsPE:M::PE::/usr/bin/wine:' >"${PROCBIN}/register"
eend $?
}
stop(){
ebegin "Stopping wine"
if [ -f ${PROCBIN}/windows -a -f ${PROCBIN}/windowsPE ]; then
echo '-1' >$PROCBIN/windows && echo '-1' >$PROCBIN/windowsPE
else
ewarn "Wine was stopped"
fi
eend $?
}

@ -1,14 +0,0 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>wine-etersoft-public</herd>
<maintainer>
<email>johnrdoe63@cregion.ru</email>
<name>JohnRDoe63</name>
</maintainer>
<longdescription>
This package allows you to run many winodws applications in your *nix environment. It can be used either with your existing Windows instalation or without it.
Think of Wine as a compatibility layer for running Windows programs. Wine does not require Microsoft Windows, as it is a completely free alternative implementation of the Windows API consisting of 100% non-Microsoft code, however Wine can optionally use native Windows DLLs if they are available. Wine provides both a development toolkit for porting Windows source code to Unix as well as a program loader, allowing many unmodified Windows programs to run on x86-based Unixes, including Linux, FreeBSD, and Solaris.
</longdescription>
</pkgmetadata>

@ -1,129 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
inherit eutils flag-o-matic multilib
DESCRIPTION="MS Windows compatibility layer (WINE@Etersoft public edition)"
HOMEPAGE="http://etersoft.ru/wine"
SRC_URI="ftp://updates.etersoft.ru/pub/Etersoft/WINE@Etersoft/${PV}/sources/tarball/wine-etersoft-public-${PV}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="-* ~amd64 ~x86"
IUSE="cups dbus debug hal jpeg lcms ldap nas ncurses scanner xml X cifs"
RESTRICT="nomirror"
RDEPEND=">=media-libs/freetype-2.0.0
!app-emulation/wine
cifs? ( >=app-emulation/etersoft-cifs-1.50c )
media-fonts/corefonts
ncurses? ( >=sys-libs/ncurses-5.2 )
dbus? ( sys-apps/dbus )
hal? ( sys-apps/hal )
X? (
x11-libs/libXcursor
x11-libs/libXrandr
x11-libs/libXi
x11-libs/libXmu
x11-libs/libXxf86vm
x11-apps/xmessage
)
nas? ( media-libs/nas )
cups? ( net-print/cups )
jpeg? ( media-libs/jpeg )
ldap? ( net-nds/openldap )
lcms? ( media-libs/lcms )
xml? ( dev-libs/libxml2 dev-libs/libxslt )
>=media-gfx/fontforge-20060703
scanner? ( media-gfx/sane-backends )
amd64? (
>=app-emulation/emul-linux-x86-xlibs-2.1
>=app-emulation/emul-linux-x86-soundlibs-2.1
>=sys-kernel/linux-headers-2.6
)"
DEPEND="${RDEPEND}
X? (
x11-proto/inputproto
x11-proto/xextproto
x11-proto/xf86vidmodeproto
)
sys-devel/bison
sys-devel/flex"
src_unpack() {
unpack ${A}
cd "${WORKDIR}"/wine-${PV}/
sed -i '/^UPDATE_DESKTOP_DATABASE/s:=.*:=true:' tools/Makefile.in
sed -i '/^MimeType/d' tools/wine.desktop || die #117785
}
config_cache() {
local h ans="no"
use $1 && ans="yes"
shift
for h in "$@" ; do
[[ ${h} == *.h ]] \
&& h=header_${h} \
|| h=lib_${h}
export ac_cv_${h//[:\/.]/_}=${ans}
done
}
src_compile() {
export LDCONFIG=/bin/true
use scanner || export ac_cv_path_sane_devel="no"
config_cache cups cups/cups.h
config_cache nas audio/audiolib.h audio/soundlib.h
config_cache xml libxml/parser.h libxslt/pattern.h libxslt/transform.h
config_cache ldap ldap.h lber.h
config_cache dbus dbus/dbus.h
config_cache hal hal/libhal.h
config_cache jpeg jpeglib.h
config_cache lcms lcms.h
strip-flags
use amd64 && multilib_toolchain_setup x86
cd "${WORKDIR}"/wine-${PV}/
econf \
CC=$(tc-getCC) \
--sysconfdir=/etc/wine \
--disable-opengl \
--with-x \
$(use_enable debug trace) \
$(use_enable debug) \
|| die "configure failed"
emake -j1 depend || die "depend"
emake all || die "all"
}
src_install() {
cd "${WORKDIR}"/wine-${PV}/
make DESTDIR="${D}" install || die
dodoc ANNOUNCE AUTHORS ChangeLog README
dodir /etc/init.d
make -C etersoft install DESTDIR=${D} prefix=/usr initdir=/etc/init.d sysconfdir=/etc
rm -f ${D}/wine{,.outformat}
rm -f ${D}/usr/bin/wine-glibc
dosym /usr/bin/wine-pthread /usr/bin/wine-glibc
cp "${FILESDIR}"/*.fon ${D}/usr/share/wine/fonts/
cp "${FILESDIR}"/*.ttf ${D}/usr/share/wine/fonts/
cp "${FILESDIR}"/wine.init ${WORKDIR}/wine
doinitd ${WORKDIR}/wine
}
pkg_postinst() {
elog "~/.wine/config is now deprecated. For configuration either use"
elog "winecfg or regedit HKCU\\Software\\Wine"
elog ""
elog "Use wine for initial user enviroment or wine --update."
}
Loading…
Cancel
Save